Subject: Re: I-D ACTION:draft-khosravi-forces-tcptml-01.txt

From: Alex Audu <[email-masked]>
Date: Wed, 23 Feb 2005 00:42:03 -0500

Hello All,

I also agree with Joel's comments. The APIs should be replaced
with service specification of some sort (service primitives,
as they are often called).  

The interface should also address asynchronous data arrivals
and event notifications at, and across the interface.  

Cheers,
Alex.

In a message dated 2/22/2005 4:32:45 PM Eastern Standard Time, Alistair Munro <[email-masked]> writes:

>Hi All,
>
>Just to follow up on Joel's comment, I think replacing the API by a service 
>specification would be more acceptable. There are plenty of flat-earthers 
>around that wouldn't let this past.
>
>I think the only thing I am missing is TML-originated events, such as the 
>forced close or reset of any of the underlying TCP sessions, e.g. following 
>reboot of one or other of the parties involved or some other exception 
>reported locally. These may be o/s dependent.
>
>Regards,
>
>Alistair
>
>--
>Alistair Munro,
>Principal Engineer, U4EA Technologies Ltd.
>City Point, Temple Gate, Bristol, BS1 6PL, U.K.
>E-mail: [email-masked]
>Tel: (work) +44-117-373-6765, (home) +44-1275-462707, (mobile)
>+44-7974-922-442;
>Fax: +44-117-373-6751
>Web: http://www.u4eatech.com
>